Package Details: mcedit-unified 1.5.6.0-1

Git Clone URL: https://aur.archlinux.org/mcedit-unified.git (read-only, click to copy)
Package Base: mcedit-unified
Description: Minecraft world editor
Upstream URL: https://github.com/mcedit/mcedit
Licenses: BSD
Conflicts: mcedit-git, pymclevel-git
Submitter: Nora
Maintainer: Nora
Last Packager: Nora
Votes: 28
Popularity: 0.86
First Submitted: 2020-09-09 22:53 (UTC)
Last Updated: 2020-09-10 22:16 (UTC)

Pinned Comments

Nora commented on 2020-09-10 19:19 (UTC)

I have submitted an merge request for this package to move into the mcedit-unified repo so this can be orphened for mcedit2. With Maintainer MIA and MCEdit being 3 distinct projects now its probally the smartest way.

Incase your arent sure MCEdit was developed by a guy lets call Tom. He ghosted everyone so people continued it and he came back with a program totally different but similar in many ways called MCEdit2. Both projects were then developed until MCEdit-Unified (the original MCEdit) ended support for a new editor called Amulet. This package should be reserved for MCEdit2 since its the new offical Version but Unified Still deserves a package due to being distinct.

Latest Comments

jopejoe1 commented on 2022-07-07 17:27 (UTC)

Looks like python2-ftputil was removed.

Oothixo commented on 2021-04-22 06:00 (UTC)

Package doesn't install, it looks like python2-pillow was removed

nic96 commented on 2020-09-10 22:35 (UTC)

I'll disown that one as well

Nora commented on 2020-09-10 22:34 (UTC)

@0x9fff00 didnt even realise that package exists

0x9fff00 commented on 2020-09-10 21:12 (UTC)

If this package is renamed then mcedit-git should also be renamed to mcedit-unified-git

Nora commented on 2020-09-10 19:32 (UTC)

@nic96 Yeah unified doesnt have many updates but im think we should wait for the merge to go through so this can be a fresh repo for MCEdit2. instead of something more messy.

nic96 commented on 2020-09-10 19:24 (UTC) (edited on 2020-09-10 19:28 (UTC) by nic96)

@CrankySupertoon do you want to take over this package. I'm not using it anymore so I don't really have reason to maintain it either.

Edit: I guess you're maintaining mcedit-unified so maybe we don't need this anymore. Edit2: I should read the whole message before responding, but anyway I don't plan on maintaining this package anymore so I'll orphan it.

Nora commented on 2020-09-10 19:19 (UTC)

I have submitted an merge request for this package to move into the mcedit-unified repo so this can be orphened for mcedit2. With Maintainer MIA and MCEdit being 3 distinct projects now its probally the smartest way.

Incase your arent sure MCEdit was developed by a guy lets call Tom. He ghosted everyone so people continued it and he came back with a program totally different but similar in many ways called MCEdit2. Both projects were then developed until MCEdit-Unified (the original MCEdit) ended support for a new editor called Amulet. This package should be reserved for MCEdit2 since its the new offical Version but Unified Still deserves a package due to being distinct.

nic96 commented on 2016-11-30 13:21 (UTC)

I'm not able to manage maintainers on this package Gryffyn would have to do that.

odensc commented on 2016-11-30 05:41 (UTC)

Is anyone still maintaining this? If not I would be willing to maintain this if someone adds me.

Hermit commented on 2016-01-18 16:18 (UTC) (edited on 2016-01-19 05:01 (UTC) by Hermit)

depends on xclip

nic96 commented on 2016-01-18 12:45 (UTC)

Try installing xclip and see if that fixes your problem. We might be missing a dependency here.

Hermit commented on 2016-01-18 11:16 (UTC)

Execution errors: https://paste.ee/p/tJed5

Gryffyn commented on 2016-01-04 11:23 (UTC)

Added as co-maintainer.

nic96 commented on 2016-01-04 00:06 (UTC)

I have an updated PKGBUILD and patch but I'm not a maintainer anymore. If I got added as a co-maintainer I could push it.

Stonewall commented on 2016-01-03 22:43 (UTC)

There is a new version out 1.5.0.0

nic96 commented on 2015-12-25 22:51 (UTC)

I now also create a package python2-leveldb_mcpe for MCPE support.

nic96 commented on 2015-12-25 04:46 (UTC) (edited on 2015-12-25 04:50 (UTC) by nic96)

I updated the package to 1.4.0.1. Leave a comment if there are any issues installing or running the application. Also numpy 1.10 shouldn't be a problem anymore. I think I fixed all compatibility issues with the patch.

Weby commented on 2015-12-23 03:10 (UTC)

"TypeError: Cannot cast ufunc add output from dtype('float64') to dtype('int64') with casting rule 'same_kind'" Doesn't work anymore with numpy 1.10 == FIX == 1. Either downgrade to numpy 1.9.3 system-wide or 2. If you can't downgrade numpy system-wide, you can also extract the "numpy" folder which is in "<python2-numpy-1.9.3-2-x86_64.pkg.tar.xz>/usr/lib/python2.7/site-packages/numpy" and place it in "/usr/lib/mcedit/". You can leave the rest of the package, it isn't needed. Running the mcedit executable will work correctly after that.

markzz commented on 2015-10-15 20:58 (UTC)

I think that would do better in it's own package.

Brottweiler commented on 2015-10-15 20:49 (UTC) (edited on 2015-10-15 20:49 (UTC) by Brottweiler)

If someone decides to adopt this, consider changing source to https://khroki.github.io/MCEdit-Unified/